@import 'style/theme.variables.scss';

.button {
  border: none;
  outline: none;

  display: flex;
  align-items: center;

  text-align: left;

  line-height: 1.25rem;

  letter-spacing: 0.25px;
  font-family: $font-family-text;
  font-weight: 700;
  font-size: 1rem;

  transition: all ease-out .2s;

  border-radius: .25rem;

  padding: 0.625rem 1.25rem;


  &:not(:disabled) {
    cursor: pointer;

    color: white;
    background-color: $primary-color;
    border: 1px solid $primary-color;

    &:active {
      background-color: scale-color($primary-color, $lightness: -20%);
      border-color: scale-color($primary-color, $lightness: -20%);
    }

    &:hover {
      box-shadow: 0 4px 6px rgba(50,50,93,.11),0 1px 3px rgba(0,0,0,.08);
    }
  }

  &:disabled {
    cursor: not-allowed;

    color: $gray-dark;
    background-color: $gray-light;
    border: 1px solid $gray-light;
  }
}
